import request from '@/utils/request'

// 查询单机故障统计
export function getSingleChart(query) {
  return request({
    url: '/fault/faultRecord/getFaultRecordByStandAlone',
    method: 'get',
    params: query
  })
}

export function getProfeChart(query) {
  return request({
    url: '/fault/faultRecord/getFaultRecordBySpecialty',
    method: 'get',
    params: query
  })
}

// 获取机型
export function getAircraftTypes(query) {
  return request({
    url: '/fault/faultRecord/aircraftTypes',
    method: 'get',
    params: query
  })
}

// 获取飞机号
export function getAircraftNos(query) {
  return request({
    url: '/fault/faultRecord/aircraftNos',
    method: 'get',
    params: query
  })
}
// 获取专业
export function getSpecialties(query) {
  return request({
    url: '/fault/faultRecord/specialties',
    method: 'get',
    params: query
  })
}

